# 使用 nvidia/cuda 作为基础镜像
FROM nvidia/cuda:12.3.1-base-ubuntu22.04
USER root

# 更新源并安装所需的包
RUN apt-get update && \
    apt-get install -y libc6 libicu-dev wget curl g++-11 && \
    rm -rf /var/lib/apt/lists/*

# 设置工作目录
WORKDIR /q

# 在容器启动时运行命令
CMD ["bash"]
